<?php

function now()
{
	return new DateTime("now");
}

function signalHandler($signal)
{
	endMoha();
}

function notify($message)
{
	global $notificationMethods;
	$result = false;
	foreach($notificationMethods as $value)
	{
		$result |= $value->send($message);
	}
	return $result;
}

function logger($level, $log)
{
	global $logFh, $logLevel, $notificationLevel;
	echo "$level"
	if ( $level >= $logLevel)
	{
		fwrite($logFh, "$level : $log" . EOL);
		print ("$level : $log" . EOL);
	}
	if ($level >= $notificationLevel)
	{
		if(notify(" Moha\n" . $log) == false)
		{
			logger(INFO, _("Notification not sent"));
		}
	}
}

?>
